For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • DELDelete
      • PATCHUpdate
LogoLogo
Sign upLog in
API ReferenceOrganizations

Get

GET
https://api.icepanel.io/v1/organizations/:organizationId
GET
/v1/organizations/:organizationId
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.organizations.get("organizationId");
8}
9main();
1{
2 "organization": {
3 "lineShapeDefault": "curved",
4 "name": "string",
5 "shareLinkAuthDomains": [
6 "string"
7 ],
8 "shareLinksEnabled": true,
9 "autoInviteDomains": [
10 "string"
11 ],
12 "billingPaymentMethod": true,
13 "createdAt": "2024-01-15T09:30:00Z",
14 "createdBy": "user",
15 "createdById": "string",
16 "id": "string",
17 "plan": "free",
18 "seats": 1.1,
19 "status": "active",
20 "updatedAt": "2024-01-15T09:30:00Z",
21 "updatedBy": "user",
22 "updatedById": "string",
23 "userIds": [
24 "string"
25 ],
26 "users": {},
27 "aiFeatures": {
28 "generateDetailedDescriptions": true,
29 "generateDisplayDescriptions": true,
30 "generateDraftSummary": true,
31 "generateObjectSummary": true
32 },
33 "aiFeaturesEnabled": true,
34 "billingCurrency": "usd",
35 "billingCycle": "monthly",
36 "billingEmail": "string",
37 "experiments": {},
38 "language": "en-US",
39 "billingCollectionMethod": "charge",
40 "cancelAt": "2024-01-15T09:30:00Z",
41 "canceledAt": "2024-01-15T09:30:00Z",
42 "planEndsAt": "2024-01-15T09:30:00Z",
43 "trialEndsAt": "2024-01-15T09:30:00Z"
44 }
45}
Was this page helpful?
Previous

Delete

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

organizationIdstringRequired

Response

OK
organizationobject

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error